// Copyright 1997-1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.

#import "NSObject-OWContent.h"

#import <Foundation/Foundation.h>
#import <OmniBase/OmniBase.h>
#import <OmniFoundation/OmniFoundation.h>

RCS_ID("$Header: /Network/Developer/Source/CVS/OmniGroup/OWF/Content.subproj/NSObject-OWContent.m,v 1.3 1999/03/30 21:26:16 kc Exp $")

@implementation NSObject (OWContent)

// OWContent optional protocol

- (OWCursor *)contentCursor;
{
    return nil;
}

- (unsigned long int)cacheSize;
{
    return 50000;
}

- (BOOL)shareable;
{
    return NO;
}

- (BOOL)contentIsValid;
{
    return YES;
}


@end
