// Copyright 1997-1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Developer/Source/CVS/OmniGroup/OWF/Pipelines.subproj/OWConversionPathElement.h,v 1.4 1999/03/30 21:26:29 kc Exp $

#import <OmniFoundation/OFObject.h>

@class OWContentType, OWContentTypeLink;

@interface OWConversionPathElement : OFObject
{
    OWConversionPathElement *parentElement;
    OWContentTypeLink *link;
    OWContentType *targetContentType;
}

+ (OWConversionPathElement *)elementWithParent:(OWConversionPathElement *)anElement usingLink:(OWContentTypeLink *)aLink targetContentType:(OWContentType *)aType;

- initWithParentElement:(OWConversionPathElement *)anElement usingLink:(OWContentTypeLink *)aLink targetContentType:(OWContentType *)aType;

- (OWConversionPathElement *)parentElement;
- (OWContentTypeLink *)link;
- (OWContentType *)targetContentType;
    
- (OWContentTypeLink *)rootLink;

@end
