// Copyright 1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Developer/Source/CVS/OmniGroup/OWF/Processors.subproj/SGML.subproj/XML.subproj/xml_shared.h,v 1.3 1999/03/30 21:26:48 kc Exp $

typedef struct _OWXMLParserState {
    unsigned int currentlyUnused;
} OWXMLParserState;

// Scanner exclusive state transition functions
void OWXML_PopScannerState();

#define SCANNER_STATE_PUSH_FUNC(x)	\
void OWXML_Push ## x ();	       	\

SCANNER_STATE_PUSH_FUNC(EntityValue1ScannerState)
SCANNER_STATE_PUSH_FUNC(EntityValue2ScannerState)
SCANNER_STATE_PUSH_FUNC(PIScannerState)
SCANNER_STATE_PUSH_FUNC(CommentScannerState)
SCANNER_STATE_PUSH_FUNC(CDataScannerState)
SCANNER_STATE_PUSH_FUNC(ConditionalIgnoreKeyScannerState)
SCANNER_STATE_PUSH_FUNC(ConditionalIgnoreContentsScannerState)
SCANNER_STATE_PUSH_FUNC(Literal1ScannerState)
SCANNER_STATE_PUSH_FUNC(Literal2ScannerState)
SCANNER_STATE_PUSH_FUNC(ContentSpecScannerState)
SCANNER_STATE_PUSH_FUNC(AttributeValue1ScannerState)
SCANNER_STATE_PUSH_FUNC(AttributeValue2ScannerState)
SCANNER_STATE_PUSH_FUNC(DeclScannerState)
SCANNER_STATE_PUSH_FUNC(DeclVersionNumberScannerState)
SCANNER_STATE_PUSH_FUNC(AttributeListScannerState)
SCANNER_STATE_PUSH_FUNC(EntityDefinitionScannerState)
SCANNER_STATE_PUSH_FUNC(DeclEncodingNameScannerState)
SCANNER_STATE_PUSH_FUNC(AttributeTypeScannerState)
SCANNER_STATE_PUSH_FUNC(DTDScannerState)
SCANNER_STATE_PUSH_FUNC(PublicLiteral1ScannerState)
SCANNER_STATE_PUSH_FUNC(PublicLiteral2ScannerState)
SCANNER_STATE_PUSH_FUNC(ElementScannerState)
SCANNER_STATE_PUSH_FUNC(ElementContentScannerState)
