// Copyright 1997-1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Developer/Source/CVS/OmniGroup/OWF/Content.subproj/Address.subproj/OWAddressProtocol.h,v 1.7 1999/03/30 21:26:23 kc Exp $

#ifndef OWAddressProtocolHeader
#define OWAddressProtocolHeader

#import "OWContentProtocol.h"
#import <Foundation/NSObject.h> // For NSCopying

@class NSString;

@protocol OWAddress <OWContent, NSCopying>
- (NSString *)cacheKey;
- (NSString *)addressString;
- (NSString *)shortDisplayString;
- (NSString *)bestKnownTitle;
- (BOOL)isAlwaysUnique;
@end

#endif
